module variaveis

use portlib

implicit none

integer :: N        ! número total de nós

integer :: i        ! número do nó
                    ! i = 1, nó no contorno esquerdo
                    ! i = N, nó no contorno direito
                    ! 2 <= i <= N-1, nós internos

integer :: matriz   ! tipo de matriz: 1 = sem fonte; 2 = com fonte

integer :: solver   ! tipo de solver: 1 = Eliminação de Gauss (EG)
                    !                 2 = Gauss-Seidel (GS)
                    !                 3 = TDMA

integer :: iteracao ! número de iterações para o GS

integer :: w        ! freqüência de escrita de resultados

real*8  :: Tol      ! tolerância sobre resíduo para o GS

real*8  :: tcpu     ! tempo de CPU em segundos

integer :: ver      ! auxílio do comando System

real*8,dimension(:),allocatable :: T  ! solução numérica

real*8,dimension(:),allocatable :: x  ! coordenada espacial nodal

real*8,dimension(:),allocatable :: aP ! coeficiente central de u
real*8,dimension(:),allocatable :: aW ! coeficiente esquerdo de u
real*8,dimension(:),allocatable :: aE ! coeficiente direito de u

real*8,dimension(:),allocatable :: bP ! termo fonte de u

character*20 :: caso      ! nome do arquivo de saída

character*50 :: title     ! título do gráfico
character*62 :: head      ! título do gráfico + dia

character*12 :: dia       ! data da simulação
character*8  :: hora      ! horário da simulação
integer*4    :: var(8)    ! data e hora
character*20 :: vardate   ! data e hora
character*20 :: vartime   ! data e hora
character*20 :: varzone   ! data e hora
character*70 :: note_caso ! notepad + caso
character*2  :: aux1,aux2
character*4  :: aux3
character*50 :: aux

end